if {[info object .s] != ""} {
    delete object .s
}

#
# The ghost flag: set for ghosted move, reset for direct move
#
set ghost on


#
# Create and pack the slate
#
slate .s
pack .s -fill both -expand on


#
# Create a few simple objects on the slate. Give each the tag
# "moveable."
#
set r [.s create Rectangle 50 50 80 80 -tags moveable -fill red -outline blue]
set o [.s create Oval 200 200 240 220 -tags moveable -fill green]
set p [.s create Polygon 100 100 110 80 120 100 140 110 120 120 \
	110 140 100 120 80 110 100 100 -fill blue -tags moveable]
set i [.s create Image mantra.gif 100 200 -tags moveable]
set l [.s create Line 240 160 300 160 300 200 -arrow last -fill red \
	-tags moveable]


#
# Create an interactor and bind to these objects
#
set m [Follower #auto]

$m bind "moveable"
